GHSA-mc97-99j4-vm2v

Suggest an improvement
Source
https://github.com/advisories/GHSA-mc97-99j4-vm2v
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/10/GHSA-mc97-99j4-vm2v/GHSA-mc97-99j4-vm2v.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-mc97-99j4-vm2v
Aliases
Published
2023-10-02T23:30:39Z
Modified
2023-11-08T04:13:33.515886Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N CVSS Calculator
Summary
Soft Serve Public Key Authentication Bypass Vulnerability when Keyboard-Interactive SSH Authentication is Enabled
Details

Impact

A security vulnerability in Soft Serve could allow an unauthenticated, remote attacker to bypass public key authentication when keyboard-interactive SSH authentication is active, through the allow-keyless setting, and the public key requires additional client-side verification for example using FIDO2 or GPG. This is due to insufficient validation procedures of the public key step during SSH request handshake, granting unauthorized access if the keyboard-interaction mode is utilized. An attacker could exploit this vulnerability by presenting manipulated SSH requests using keyboard-interactive authentication mode. This could potentially result in unauthorized access to the Soft Serve.

Patches

Users should upgrade to the latest Soft Serve version v0.6.2 to receive the patch for this issue.

Workarounds

To workaround this vulnerability without upgrading, users can temporarily disable Keyboard-Interactive SSH Authentication using the allow-keyless setting.

References

https://github.com/charmbracelet/soft-serve/issues/389

References

Affected packages

Go / github.com/charmbracelet/soft-serve

Package

Name
github.com/charmbracelet/soft-serve
View open source insights on deps.dev
Purl
pkg:golang/github.com/charmbracelet/soft-serve

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.6.2